describe('WorkerLocker', () => {
    const productionId = 49;
    const lockerCode = '4F';
    const lockerSelect = '[data-cy="locker"]';
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('productionBoss');
        cy.visit(`/#/worker/${productionId}/locker`);
    });

    it('should allocates a locker', () => {
        cy.selectOption(lockerSelect, lockerCode);
        cy.saveCard();
        cy.get(lockerSelect).invoke('val').should('eq', lockerCode);
    });
});
